## org.apache.ivy.osgi.core
Class ManifestHeaderElement

    java.lang.Object
      org.apache.ivy.osgi.core.ManifestHeaderElement

    public class ManifestHeaderElement

extends java.lang.Object

Constructor Summary
`ManifestHeaderElement()`

Method Summary
`void` `addAttribute(java.lang.String name, java.lang.String value)`
`void` `addDirective(java.lang.String name, java.lang.String value)`
`void` `addValue(java.lang.String value)`
`boolean` `equals(java.lang.Object obj)`
`java.util.Map` `getAttributes()`
`java.util.Map` `getDirectives()`
`java.util.List` `getValues()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManifestHeaderElement

    public ManifestHeaderElement()

Method Detail

### getValues

    public java.util.List getValues()

### addValue

    public void addValue(java.lang.String value)

### getAttributes

    public java.util.Map getAttributes()

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

### getDirectives

    public java.util.Map getDirectives()

### addDirective

    public void addDirective(java.lang.String name,
                             java.lang.String value)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`